%define	upstream_name File-Cat
%define upstream_version 1.2

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3
Summary:	Perl implementation of cat(1)
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/F/FI/FIMM/%{upstream_name}-%{upstream_version}.tar.bz2
Url:		http://search.cpan.org/dist/%{upstream_name}

Buildrequires:	perl-devel
Buildarch:	noarch

%description
File::Cat is a module of adventure, danger, and low cunning. With it,
you will explore some of the most inane programs ever seen by
mortals. No computer should be without one!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files 
%doc Changes
%{perl_vendorlib}/File/Cat.pm
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.200.0-3.mga6
+ Revision: 1027283
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.200.0-2.mga6
+ Revision: 968909
- Mageia 6 Mass Rebuild

* Fri Jul 24 2015 sander85 <sander85> 1.200.0-1.mga6
+ Revision: 856900
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 1.2-8.mga5
+ Revision: 751266
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-7.mga5
+ Revision: 684708
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2-6.mga4
+ Revision: 511494
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.2-5.mga3
+ Revision: 367146
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.2-4.mga1
+ Revision: 32754
- mageia rebuild
- imported package perl-File-Cat


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.2-4mdv2010.0
+ Revision: 430443
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.2-3mdv2009.0
+ Revision: 256871
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.2-1mdv2008.1
+ Revision: 135841
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Mar 04 2007 Olivier Blin <oblin@mandriva.com> 1.2-1mdv2007.0
+ Revision: 132670
- initial Mandriva release
- Create perl-File-Cat

